Skip to navigation

Update task

Partial update of a task. Setting done to true sets date_completed to today unless you also send date_completed. Setting done to false clears date_completed unless you also send date_completed.

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

task_idstringRequired

Task id (bigint as string)

Request

This endpoint expects an object.
titlestringOptional>=1 character
descriptionstringOptional
assigneestringOptional
due_datedateOptional
priorityenumOptional
Allowed values:
donebooleanOptional
Whether the task is complete
date_completeddateOptional
seenbooleanOptional
Whether the task has been seen
participantstringOptionalformat: "uuid"
projectintegerOptional
Associated Caresquare project id

Response

Updated task
idstringOptional

Task id (bigint as string)

created_atdatetimeOptional
titlestringOptional
descriptionstringOptional
assigneestringOptional
due_datedateOptional
prioritystringOptional

Priority: low, medium, or high

plan_managerstringOptionalformat: "uuid"
donebooleanOptional
participantstringOptionalformat: "uuid"
projectstringOptional

Associated Caresquare project id (bigint as string)

date_completeddateOptional
seenbooleanOptional
created_bystringOptional

User id of the creator (immutable)

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error